Saltar para o conteúdo principal

Este browser já não é suportado.

Atualize para o Microsoft Edge para tirar partido das mais recentes funcionalidades, atualizações de segurança e de suporte técnico.

Transferir Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Parâmetros de consultas

api-version string obrigatório

The API version to use for this operation.

Parâmetros do cabeçalho

Foundry-Features enum obrigatório

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Parâmetros de caminho

name string obrigatório

Name of the model.

version string obrigatório

Version of the model.

Corpo do Pedido

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum obrigatório

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Respostas

The request has succeeded.

Corpo

Content-Type: application/json
blobReference BlobReference obrigatório

Blob reference details.

blobUri string obrigatório

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string obrigatório

ARM ID of the storage account to use.

credential SasCredential obrigatório

SAS Credential definition

sasUri string obrigatório

SAS uri

type enum obrigatório

Type of credential

SAS
pendingUploadId string obrigatório

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum obrigatório

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error obrigatório

The error object.

code string obrigatório

One of a server-defined set of error codes.

message string obrigatório

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error obrigatório

The error object.

code string obrigatório

One of a server-defined set of error codes.

message string obrigatório

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Pedir

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-pt
Suas opções de privacidade
  • Exclusão de responsabilidade de IA
  • Versões anteriores
  • Blogue
  • Contribuir
  • Privacidade
  • Privacidade da Saúde do Consumidor
  • Termos de Utilização
  • Marcas Comerciais
  • © Microsoft 2026